#pragma once

#include <string>
#include <mutex>
#include <iostream>

namespace logger {

extern std::mutex mut;

template<typename T>
inline void log(const T &msg) {
	std::unique_lock<std::mutex> lock(mut);
	std::cerr << msg << '\n';
}

}
